Ignore:
Timestamp:
Apr 2, 2013, 7:00:51 PM (6 years ago)
Author:
jeremyhu@…
Message:

webkit-gtk: Blacklist older compilers (#38640)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/www/webkit-gtk/Portfile

    r104712 r104778  
    55PortGroup       conflicts_build 1.0
    66PortGroup       muniversal 1.0
     7PortGroup       compiler_blacklist_versions 1.0
    78
    89name            webkit-gtk
     
    104105autoreconf.args -fvi
    105106
    106 # https://trac.macports.org/ticket/34044
    107 if {[vercmp ${xcodeversion} 3.0] >= 0} {
    108     compiler.blacklist-append gcc-4.0
    109 }
     107# configure checks that we're clang 3.0, gcc 4.7, or better
     108compiler.blacklist-append gcc-3.3 gcc-4.0 apple-gcc-4.0 gcc-4.2 apple-gcc-4.2 llvm-gcc-4.2 macports-llvm-gcc-4.2
     109compiler.blacklist-append macports-gcc-4.2 macports-gcc-4.3 macports-gcc-4.4 macports-gcc-4.5 macports-gcc-4.6
     110compiler.blacklist-append {clang < 300} macports-clang-2.9
    110111
    111112if {[string match *clang* ${configure.compiler}]} {
Note: See TracChangeset for help on using the changeset viewer.